// flow-typed signature: b6e56b7bf7ef4c8add790f3d5c8cd24e
// flow-typed version: <<STUB>>/react-gpt_v^2.0.1/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'react-gpt'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'react-gpt' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'react-gpt/dist/react-gpt' {
  declare module.exports: any;
}

declare module 'react-gpt/dist/react-gpt.min' {
  declare module.exports: any;
}

declare module 'react-gpt/es/Bling' {
  declare module.exports: any;
}

declare module 'react-gpt/es/createManager' {
  declare module.exports: any;
}

declare module 'react-gpt/es/Events' {
  declare module.exports: any;
}

declare module 'react-gpt/es/index' {
  declare module.exports: any;
}

declare module 'react-gpt/es/utils/apiList' {
  declare module.exports: any;
}

declare module 'react-gpt/es/utils/createManagerTest' {
  declare module.exports: any;
}

declare module 'react-gpt/es/utils/filterProps' {
  declare module.exports: any;
}

declare module 'react-gpt/es/utils/isInViewport' {
  declare module.exports: any;
}

declare module 'react-gpt/es/utils/mockGPT' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/Bling' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/createManager' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/Events' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/index' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/utils/apiList' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/utils/createManagerTest' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/utils/filterProps' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/utils/isInViewport' {
  declare module.exports: any;
}

declare module 'react-gpt/lib/utils/mockGPT' {
  declare module.exports: any;
}

declare module 'react-gpt/src/Bling' {
  declare module.exports: any;
}

declare module 'react-gpt/src/createManager' {
  declare module.exports: any;
}

declare module 'react-gpt/src/Events' {
  declare module.exports: any;
}

declare module 'react-gpt/src/index' {
  declare module.exports: any;
}

declare module 'react-gpt/src/utils/apiList' {
  declare module.exports: any;
}

declare module 'react-gpt/src/utils/createManagerTest' {
  declare module.exports: any;
}

declare module 'react-gpt/src/utils/filterProps' {
  declare module.exports: any;
}

declare module 'react-gpt/src/utils/isInViewport' {
  declare module.exports: any;
}

declare module 'react-gpt/src/utils/mockGPT' {
  declare module.exports: any;
}

// Filename aliases
declare module 'react-gpt/dist/react-gpt.js' {
  declare module.exports: $Exports<'react-gpt/dist/react-gpt'>;
}
declare module 'react-gpt/dist/react-gpt.min.js' {
  declare module.exports: $Exports<'react-gpt/dist/react-gpt.min'>;
}
declare module 'react-gpt/es/Bling.js' {
  declare module.exports: $Exports<'react-gpt/es/Bling'>;
}
declare module 'react-gpt/es/createManager.js' {
  declare module.exports: $Exports<'react-gpt/es/createManager'>;
}
declare module 'react-gpt/es/Events.js' {
  declare module.exports: $Exports<'react-gpt/es/Events'>;
}
declare module 'react-gpt/es/index.js' {
  declare module.exports: $Exports<'react-gpt/es/index'>;
}
declare module 'react-gpt/es/utils/apiList.js' {
  declare module.exports: $Exports<'react-gpt/es/utils/apiList'>;
}
declare module 'react-gpt/es/utils/createManagerTest.js' {
  declare module.exports: $Exports<'react-gpt/es/utils/createManagerTest'>;
}
declare module 'react-gpt/es/utils/filterProps.js' {
  declare module.exports: $Exports<'react-gpt/es/utils/filterProps'>;
}
declare module 'react-gpt/es/utils/isInViewport.js' {
  declare module.exports: $Exports<'react-gpt/es/utils/isInViewport'>;
}
declare module 'react-gpt/es/utils/mockGPT.js' {
  declare module.exports: $Exports<'react-gpt/es/utils/mockGPT'>;
}
declare module 'react-gpt/lib/Bling.js' {
  declare module.exports: $Exports<'react-gpt/lib/Bling'>;
}
declare module 'react-gpt/lib/createManager.js' {
  declare module.exports: $Exports<'react-gpt/lib/createManager'>;
}
declare module 'react-gpt/lib/Events.js' {
  declare module.exports: $Exports<'react-gpt/lib/Events'>;
}
declare module 'react-gpt/lib/index.js' {
  declare module.exports: $Exports<'react-gpt/lib/index'>;
}
declare module 'react-gpt/lib/utils/apiList.js' {
  declare module.exports: $Exports<'react-gpt/lib/utils/apiList'>;
}
declare module 'react-gpt/lib/utils/createManagerTest.js' {
  declare module.exports: $Exports<'react-gpt/lib/utils/createManagerTest'>;
}
declare module 'react-gpt/lib/utils/filterProps.js' {
  declare module.exports: $Exports<'react-gpt/lib/utils/filterProps'>;
}
declare module 'react-gpt/lib/utils/isInViewport.js' {
  declare module.exports: $Exports<'react-gpt/lib/utils/isInViewport'>;
}
declare module 'react-gpt/lib/utils/mockGPT.js' {
  declare module.exports: $Exports<'react-gpt/lib/utils/mockGPT'>;
}
declare module 'react-gpt/src/Bling.js' {
  declare module.exports: $Exports<'react-gpt/src/Bling'>;
}
declare module 'react-gpt/src/createManager.js' {
  declare module.exports: $Exports<'react-gpt/src/createManager'>;
}
declare module 'react-gpt/src/Events.js' {
  declare module.exports: $Exports<'react-gpt/src/Events'>;
}
declare module 'react-gpt/src/index.js' {
  declare module.exports: $Exports<'react-gpt/src/index'>;
}
declare module 'react-gpt/src/utils/apiList.js' {
  declare module.exports: $Exports<'react-gpt/src/utils/apiList'>;
}
declare module 'react-gpt/src/utils/createManagerTest.js' {
  declare module.exports: $Exports<'react-gpt/src/utils/createManagerTest'>;
}
declare module 'react-gpt/src/utils/filterProps.js' {
  declare module.exports: $Exports<'react-gpt/src/utils/filterProps'>;
}
declare module 'react-gpt/src/utils/isInViewport.js' {
  declare module.exports: $Exports<'react-gpt/src/utils/isInViewport'>;
}
declare module 'react-gpt/src/utils/mockGPT.js' {
  declare module.exports: $Exports<'react-gpt/src/utils/mockGPT'>;
}
